import { EventEmitter, Renderer, ElementRef, NgZone } from '@angular/core';
import { TreeDraggedElement } from '../models/tree-dragged-element.model';
export declare class TreeDropDirective {
    private el;
    private renderer;
    private treeDraggedElement;
    private zone;
    onDropCallback: EventEmitter<{}>;
    onDragOverCallback: EventEmitter<{}>;
    onDragLeaveCallback: EventEmitter<{}>;
    onDragEnterCallback: EventEmitter<{}>;
    private _allowDrop;
    treeAllowDrop: any;
    allowDrop($event: any): boolean;
    constructor(el: ElementRef, renderer: Renderer, treeDraggedElement: TreeDraggedElement, zone: NgZone);
    ngAfterViewInit(): void;
    /**
     * This event is run outside of angular.
     * If the mouse action makes changes to application state,
     * it should manually trigger change detection
     */
    onDragOver($event: any): void;
    /**
     * This event is run outside of angular.
     * If the mouse action makes changes to application state,
     * it should manually trigger change detection
     */
    onDragEnter($event: any): void;
    /**
     * This event is run outside of angular.
     * If the mouse action makes changes to application state,
     * it should manually trigger change detection
     */
    onDragLeave($event: any): void;
    onDrop($event: any): void;
    private addClass();
    private removeClass();
    private addDisabledClass();
    private removeDisabledClass();
}
